Name:          xmlsec1
Version:       1.2.32
Release:       1mamba
Summary:       XML Security Library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Ercole 'ercolinux' Carpanetto <ercole69@gmail.com>
URL:           https://www.aleksey.com/xmlsec/index.html
Source:        http://www.aleksey.com/xmlsec/download/xmlsec1-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgnutls-devel
BuildRequires: libltdl-devel
BuildRequires: liblzma-devel
BuildRequires: libnspr-devel
BuildRequires: libnss-devel
BuildRequires: libopenssl-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
XML Security Library is a C library based on LibXML2. The library supports major XML security standards.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/xmlsec1
%{_bindir}/xmlsec1-config
%{_libdir}/xmlsec1Conf.sh
%dir %{_datadir}/doc/xmlsec1
%{_datadir}/doc/xmlsec1/*
%{_mandir}/man1/xmlsec1-config.1*
%{_mandir}/man1/xmlsec1.1*
%doc AUTHORS COPYING

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libxmlsec1-gcrypt.so.*
%{_libdir}/libxmlsec1-gnutls.so.*
%{_libdir}/libxmlsec1-nss.so.*
%{_libdir}/libxmlsec1-openssl.so.*
%{_libdir}/libxmlsec1.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/xmlsec1
%dir %{_includedir}/xmlsec1/xmlsec
%{_includedir}/xmlsec1/xmlsec/*.h
%dir %{_includedir}/xmlsec1/xmlsec/gcrypt
%{_includedir}/xmlsec1/xmlsec/gcrypt/*.h
%dir %{_includedir}/xmlsec1/xmlsec/nss
%{_includedir}/xmlsec1/xmlsec/nss/*.h
%dir %{_includedir}/xmlsec1/xmlsec/openssl
%{_includedir}/xmlsec1/xmlsec/openssl/*.h
%dir %{_includedir}/xmlsec1/xmlsec/gnutls
%{_includedir}/xmlsec1/xmlsec/gnutls/*.h
%{_libdir}/libxmlsec1*.a
%{_libdir}/libxmlsec1*.la
%{_libdir}/libxmlsec1*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
%doc ChangeLog NEWS README TODO


%changelog
* Mon Apr 26 2021 Automatic Build System <autodist@mambasoft.it> 1.2.32-1mamba
- automatic version update by autodist

* Thu Feb 25 2021 Automatic Build System <autodist@mambasoft.it> 1.2.31-1mamba
- automatic version update by autodist

* Thu Oct 01 2020 Automatic Build System <autodist@mambasoft.it> 1.2.30-1mamba
- automatic update by autodist

* Sat Feb 01 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.29-1mamba
- update to 1.2.29

* Tue Sep 12 2017 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.2.25-1mamba
- package created using the webbuild interface
